Subject: Label Mapping Message !!

From: Manoj Dutta <[email-masked]>
Date: Tue, 19 Jun 2001 12:15:13 -0700

Hi,

In section A.1.2 , subsection LMp.6 (RFC 3036), it is mentioned that in
case of loop detection, the
matching label mapping should be removed. I have the following doubts :-

1) Should a label release message be sent for this label ?
2) Should a withdraw be sent to all the peers which have been sent a
label corresponding to the label being
deleted ? A related question is what happens to incoming packets with
valid labels but no outgoing labels ?

thanks in advance
manoj

---

From: Eric Gray <[email-masked]>
Date: Fri, 22 Jun 2001 13:01:20 -0400

Manoj,

    I apologize for not following through on this when you raised it the
first time.  I talked to Bob Thomas about this off-line after your earlier
posting (Re: Loop Detection) and it appears that the statement "Goto LMp.33"
that appears on the line after "LMp.7   Remove Label from ..." was included
in error.  Note that this statement also appears at the end of LMp.8.

    Bob and I both feel that this statement is an error, where it appears in
LMP.7, and I had meant to respond to your posting on the mailing list in a
bit more timely fashion.  Guess I got busy, lazy or just plain forgetfull -
I'm too lazy (with all this work going on) to remember which.  I appreciate
your persistence in bringing it up again.

    In general, as your mail pointed out both times, it is just bad to stop
using a label without releasing it.

--
Eric Gray

And earlier, you wrote:

> Subject: Loop Detection !!
>    Date: Tue, 29 May 2001 19:38:24 -0700
>    From: Manoj Dutta
>      To: [email-masked]
>
>
>
>
> Hi,
>
> I have a few doubts regarding loop detection in RFC 3036 :-
>
> a)  If an LSR A receives a mapping fron a downstream LSR B and a loop is
> detected on checking the attributes, then  the label is released by
> LASR A only if there is no matching mapping received previously.  Why is
> the mapping not  released in case there is a matching mapping already
> present in the LSR A.
>
> b)  The algorithm for handling loop detection messages received in
> response to label mapping message is not very clear.  According to the
> RFC it should be handled in the same manner as No Route notification
> message (A.1.10) but A.1.10 describes the case when a No Route is
> received in response to request message only.
>
> Thanks in advance
> manoj
>